## Miscellaneous Thumbnail Functions Miscellaneous Thumbnail Functions |

## Functions

gboolean | mate_desktop_thumbnail_has_uri ()
gboolean | mate_desktop_thumbnail_is_valid ()
char * | mate_desktop_thumbnail_path_for_uri ()

## Includes

    #include <mate-thumbnail.h>

## Description

## Functions

### mate_desktop_thumbnail_has_uri ()

    gboolean
    mate_desktop_thumbnail_has_uri (GdkPixbuf *pixbuf,
                                    const char *uri);

Returns whether the thumbnail has the correct uri embedded in the Thumb::URI option in the png.

#### Parameters

pixbuf | an loaded thumbnail pixbuf |
uri | a uri |

#### Returns

TRUE if the thumbnail is for `uri`

Since: 2.2

### mate_desktop_thumbnail_is_valid ()

    gboolean
    mate_desktop_thumbnail_is_valid (GdkPixbuf *pixbuf,
                                     const char *uri,
                                     time_t mtime);

Returns whether the thumbnail has the correct uri and mtime embedded in the png options.

#### Parameters

pixbuf | an loaded thumbnail GdkPixbuf |
uri | a uri |
mtime | the mtime |

#### Returns

TRUE if the thumbnail has the right `uri` and `mtime`

Since: 2.2

### mate_desktop_thumbnail_path_for_uri ()

    char *
    mate_desktop_thumbnail_path_for_uri (const char *uri,
                                         MateDesktopThumbnailSize size);

Returns the filename that a thumbnail of size `size` for `uri` would have.

#### Parameters

uri | an uri |
size | a thumbnail size |

#### Returns

an absolute filename

Since: 2.2